﻿@model HOD.Models.AccountSetupModel
@{
    
    Layout = null;
}
<!DOCTYPE html>
<html lang="en" class="no-js">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> 
		<meta name="viewport" content="width=device-width, initial-scale=1.0"> 
		<title>Account Setup</title>
		<meta name="description" content="" />
		<meta name="keywords" content="" />
		<meta name="author" content="" />
		<link rel="shortcut icon" href="../favicon.ico">

		<!--link rel="stylesheet" type="text/css" href="css/form_style.css" />
		<link rel="stylesheet" type="text/css" href="css/form_component.css" /-->
        <!--link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css"-->

		<link rel="stylesheet" type="text/css" href="~/Content/AccountSetup/css/form_style.css" />
		<link rel="stylesheet" type="text/css" href="~/Content/AccountSetup/css/form_component.css"/>

        <link rel='stylesheet' href='http://fonts.googleapis.com/css?family=PT+Sans:400,700'>
        <link rel='stylesheet' href='http://fonts.googleapis.com/css?family=Oleo+Script:400,700'>


		<!--script src="js/modernizr.custom.js"></!--script-->
        <script src="~/Content/AccountSetup/js/modernizr.custom.js"></script>

        <script type="text/javascript">
        
            /*$(document).ready(function () {                      
                var isAgent = $('#isAgent').val();
                if (isAgent.toUpperCase() == 'FALSE') {
                    $('.agentTier').hide();
                }
            });*/


        </script>
	</head>

    @{
        string visibility;
        
    }
	<body>
       <div class="header">
            <div class="container">
                <div class="row">
                    <div class="logo span4">
                        @{
                            if (Model.UserType == "SELLER")
                            {
                            <h1>CasaVue<span style="color:#F00">&nbsp;Contact Information</span></h1> 
                                @Html.Hidden("isAgent", false)
                                visibility = "hidden";
                                Model.WebsiteUrl ="NoURL";
                                Model.BusinessName = "NoBusinessName";
                            }
                            else
                            {
                                @Html.Hidden("isAgent", true)
                                <h1>ApexProducer<span style="color:#F00">&nbsp;Agent Contact Information</span></h1>                                                                   
                                visibility = "visible";
                            }
                        }
                    </div>
                </div>
            </div>
        </div>
    
	  <div class="contactform">
			<div class="main">
                @using (Html.BeginForm("AccountSetupSave", "Account", FormMethod.Post, new { @class = "cbp-mc-form" }))
                {
                    @Html.ValidationSummary()   
					<div class="cbp-mc-column">
						<label for="first_name">First Name</label>
                        @Html.TextBoxFor(x => x.FirstName, new { @id = "firstname", @name = "firstname", @placeholder = "enter your first name..." })
	  					<label for="last_name">Last Name</label>
                        @Html.TextBoxFor(x => x.LastName, new { @id = "lastname", @name = "lastname", @placeholder = "enter your last name..." })
                        @Html.HiddenFor(x => x.UserName)
                        <label for="phone">Phone Number</label>
                        @Html.TextBoxFor(x => x.PhoneNumber, new { @id = "phoneNumber", @name = "phoneNumber", @placeholder = "416-999-9999" })                       
	  				</div>
	  				<div class="cbp-mc-column">
                        <label for="cat_name">Address:</label>
                        @Html.TextBoxFor(x => x.Address, new { @id = "address", @name = "address", @placeholder = "123 Main St." })

                        <label for="city">City:</label>
                        @Html.TextBoxFor(x => x.City, new { @id = "city", @name = "city", @placeholder = "Toronto" })
                        <label>Prov./ State</label>

                            @Html.DropDownListFor(m => m.Province, new SelectList(
                                        new List<Object>{ 
                                            new { value="", text = "Choose PROVINCE/STATE" },
                                            new { value="", text = "-----------------" },    
                                            new { value="", text = "CANADIAN PROVINCES" },                                                         
                                            new { value="", text = "-----------------" },                                                                                                         
                                            new { value="Alberta", text = "Alberta" },
                                            new { value="British Columbia", text = "British Columbia" },
                                            new { value="Manitoba", text = "Manitoba" },
                                            new { value="New Brunswick", text = "New Brunswick" },
                                            new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                            new { value="Northwest Terriories", text = "Northwest Terriories" },
                                            new { value="Nova Scotia", text = "Nova Scotia" },
                                            new { value="Nunavut", text = "Nunavut" },
                                            new { value="Ontario", text = "Ontario" },
                                            new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                            new { value="Quebec", text = "Quebec" },
                                            new { value="Saskatchewan", text = "Saskatchewan" },
                                            new { value="Yukon", text = "Yukon" },
                                            new { value="", text = "-----------------" },     
                                            new { value="", text = "US STATES" },      
                                            new { value="", text = "-----------------" },                                                                                                                                                    
                                            new  { Text="Alabama", Value="AL"},
                                            new  { Text="Alaska", Value="AK"},
                                            new  { Text="Arizona", Value="AZ"},
                                            new  { Text="Arkansas", Value="AR"},
                                            new  { Text="California", Value="CA"},
                                            new  { Text="Colorado", Value="CO"},
                                            new  { Text="Connecticut", Value="CT"},
                                            new  { Text="District of Columbia", Value="DC"},
                                            new  { Text="Delaware", Value="DE"},
                                            new  { Text="Florida", Value="FL"},
                                            new  { Text="Georgia", Value="GA"},
                                            new  { Text="Hawaii", Value="HI"},
                                            new  { Text="Idaho", Value="ID"},
                                            new  { Text="Illinois", Value="IL"},
                                            new  { Text="Indiana", Value="IN"},
                                            new  { Text="Iowa", Value="IA"},
                                            new  { Text="Kansas", Value="KS"},
                                            new  { Text="Kentucky", Value="KY"},
                                            new  { Text="Louisiana", Value="LA"},
                                            new  { Text="Maine", Value="ME"},
                                            new  { Text="Maryland", Value="MD"},
                                            new  { Text="Massachusetts", Value="MA"},
                                            new  { Text="Michigan", Value="MI"},
                                            new  { Text="Minnesota", Value="MN"},
                                            new  { Text="Mississippi", Value="MS"},
                                            new  { Text="Missouri", Value="MO"},
                                            new  { Text="Montana", Value="MT"},
                                            new  { Text="Nebraska", Value="NE"},
                                            new  { Text="Nevada", Value="NV"},
                                            new  { Text="New Hampshire", Value="NH"},
                                            new  { Text="New Jersey", Value="NJ"},
                                            new  { Text="New Mexico", Value="NM"},
                                            new  { Text="New York", Value="NY"},
                                            new  { Text="North Carolina", Value="NC"},
                                            new  { Text="North Dakota", Value="ND"},
                                            new  { Text="Ohio", Value="OH"},
                                            new  { Text="Oklahoma", Value="OK"},
                                            new  { Text="Oregon", Value="OR"},
                                            new  { Text="Pennsylvania", Value="PA"},
                                            new  { Text="Rhode Island", Value="RI"},
                                            new  { Text="South Carolina", Value="SC"},
                                            new  { Text="South Dakota", Value="SD"},
                                            new  { Text="Tennessee", Value="TN"},
                                            new  { Text="Texas", Value="TX"},
                                            new  { Text="Utah", Value="UT"},
                                            new  { Text="Vermont", Value="VT"},
                                            new  { Text="Virginia", Value="VA"},
                                            new  { Text="Washington", Value="WA"},
                                            new  { Text="West Virginia", Value="WV"},
                                            new  { Text="Wisconsin", Value="WI"},
                                            new  { Text="Wyoming", Value="WY"}  
                                        },
                                        "value", "text", 2), new { @class = "form-control", @placeholder = "Province", id = "province" })

                            &nbsp;
                            @Html.ValidationMessageFor(m => m.Province)
                            @Html.HiddenFor(m => m.UserType)

                    <label for="postal">Postal/Zip Code:</label>                    

                     @Html.TextBoxFor(x => x.PostalCode, new { @id = "PostalCode", @name = "PostalCode", @placeholder = "M1C V36" })
	  				</div>
                    
                   
	  				<div class="cbp-mc-column">
	  					<label class="agentTier" style="visibility:@visibility">Business Name:</label>
                        @Html.TextBoxFor(x => x.BusinessName, new { @id = "BusinessName", @name = "BusinessName", @placeholder = "Joes Trader", @class="agentTier", @style="visibility:" + visibility + "" })
	  					<label class="agentTier" style="visibility:@visibility">Website URL:</label>
                        @Html.TextBoxFor(x => x.WebsiteUrl, new { @id = "WebsiteUrl", @name = "WebsiteUrl", @placeholder = "http://www.yoursitename.com", @class="agentTier",@style="visibility:" + visibility + "" })
	  					<label class="agentTier" style="visibility:@visibility">No of Employees:</label>

                            @Html.DropDownListFor(m => m.NoOfEmployees, new SelectList(
                                                  new List<Object>{ 
                                                    new { value="1-5", text = "1-5 Employees" },
                                                    new { value="6-10", text = "6-10 Employees" },    
                                                    new { value="11-20", text = "11-20 Employees" },                                                         
                                                    new { value="21-50", text = "21-50 Employees" },
                                                    new { value="51-100", text = "51-100 Employees" },    
                                                    new { value="101-500", text = "101-500 Employees" },                                                         
                                                    new { value="501-1000", text = "501-1000 Employees" },    
                                                    new { value="1001", text = "1000+ Employees" },    
                                                    },
                                                  "value",
                                                  "text",
                                                   2), new { @class = "form-control  agentTier", @placeholder = "NoOfEmployees", id = "NoOfEmployees",@style="visibility:" + visibility + "" })
	  					<label class="agentTier" style="visibility:@visibility">Agent Sub Domain:</label>
                        <label class="agentTier" style="visibility:@visibility">  www.apexproducer.com/</label>@Html.TextBoxFor(x => x.AgentSubDomain, new { @id = "AgentSubDomain", @name = "AgentSubDomain", @placeholder = "JoeAgent", @class="agentTier", @size="20", @style="visibility:" + visibility + "" })


                          @Html.Hidden("Password", "12345678")
	  				</div>
	  				<div class="cbp-mc-submit-wrap"><input class="cbp-mc-submit" type="submit" value="Save Changes" /></div>
	  					<!--label for="country">Country</!--label-->

                                        @Html.DropDownListFor(m => m.Country, new SelectList(
                                                  new List<Object>{ 
                                                    new { value="", text = "Choose a Country" },
                                                    new { value="CANADA", text = "Canada" },    
                                                    new { value="USA", text = "USA" },                                                         
                                                    new { value="MEXICO", text = "Mexico" }                                                                                                                                                                                                       
                                                    },
                                                  "value",
                                                  "text", "CANADA"), new { @class = "form-control", @placeholder = "Country", id = "country", style = "visibility:hidden" })

                                        @Html.ValidationMessageFor(m => m.Country)

                }
			</div>
		</div>
	</body>
            <script src="~/Scripts/jquery-ui-1.8.24.js"></script>

</html>
